ServerBase (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.ServerBase class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef
Class ServerBase

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean
              org.hyperic.hq.appdef.server.session.AppdefNamedBean
                  org.hyperic.hq.appdef.server.session.AppdefResource
                      org.hyperic.hq.appdef.ServerBase

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable

Direct Known Subclasses:
  AIServer, Server

    public abstract class ServerBase

extends AppdefResource

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `autoinventoryIdentifier`
`protected java.lang.String` | `installPath`
`protected boolean` | `servicesAutomanaged`

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`description, location, modifiedBy, name, sortName`

Fields inherited from class org.hyperic.hq.appdef.AppdefBean
`cid, creationTime, modifiedTime`

Constructor Summary
`ServerBase()`

Method Summary
`java.lang.String` | `getAutoinventoryIdentifier()`
`AppdefEntityID` | `getEntityId()` Get the appdefEntityId for this platform legacy code from EJB entity bean
`java.lang.String` | `getInstallPath()`
`boolean` | `getServicesAutomanaged()` Deprecated. use isServicesAutomanaged()
`boolean` | `isServicesAutomanaged()`
`void` | `setAutoinventoryIdentifier(java.lang.String autoinventoryIdentifier)`
`void` | `setInstallPath(java.lang.String installPath)`
`void` | `setServicesAutomanaged(boolean servicesAutomanaged)`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefResource
`getName, getResource, getSortName, setName, setResource, setSortName`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`_getAuthzOp, getAppdefResourceType, getAppdefResourceValue, getAuthzOp, getDescription, getLocation, getModifiedBy, setDescription, setLocation, setModifiedBy`

Methods inherited from class org.hyperic.hq.appdef.AppdefBean
`allowContainerManagedCreationTime, allowContainerManagedLastModifiedTime, equals, getCid, getCreationTime, getCTime, getModifiedTime, getMTime, hashCode, matchesValueObject, setCid, setCreationTime, setModifiedTime`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### autoinventoryIdentifier

    protected java.lang.String autoinventoryIdentifier

### installPath

    protected java.lang.String installPath

### servicesAutomanaged

    protected boolean servicesAutomanaged

Constructor Detail

### ServerBase

    public ServerBase()

Method Detail

### getAutoinventoryIdentifier

    public java.lang.String getAutoinventoryIdentifier()

### setAutoinventoryIdentifier

    public void setAutoinventoryIdentifier(java.lang.String autoinventoryIdentifier)

### getInstallPath

    public java.lang.String getInstallPath()

### setInstallPath

    public void setInstallPath(java.lang.String installPath)

### isServicesAutomanaged

    public boolean isServicesAutomanaged()

### setServicesAutomanaged

    public void setServicesAutomanaged(boolean servicesAutomanaged)

### getEntityId

    public AppdefEntityID getEntityId()

  Description copied from class: `AppdefNamedBean`
  Get the appdefEntityId for this platform legacy code from EJB entity bean

  Specified by:
    `getEntityId` in class `AppdefNamedBean`

### getServicesAutomanaged

    public boolean getServicesAutomanaged()

  Deprecated. use isServicesAutomanaged()

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.